#pragma once
#include "Mod.h"

class ClientSpoofer : public Mod {
public:
	int mode = 0;
	ClientSpoofer() : Mod(_("Client Spoofer"), _("Spoof to other client."), Category::OTHER) {
		settings.push_back(new Setting{ _("Mode"), &mode, new int(0), new int(0), 1, {
			_("Latite")
			}, true});
		
		enabled = false;
	}

private:
	virtual auto onWorldTick(Player* _this) -> void override;
	virtual auto getMode() -> std::string override;
};
